import { ElementRef, OnDestroy } from '@angular/core';
import { Observable, Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class FocusIfDirective implements OnDestroy {
    private readonly el;
    set value(val: boolean | Observable<boolean>);
    unsubscribe$: Subject<void>;
    constructor(el: ElementRef);
    ngOnDestroy(): void;
    private subscribeObservable;
    private doActionByValue;
    private booleanGuard;
    static ɵfac: i0.ɵɵFactoryDeclaration<FocusIfDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FocusIfDirective, "[fuIf]", never, { "value": { "alias": "fuIf"; "required": false; }; }, {}, never, never, false, never>;
}
