import { OnDestroy } from '@angular/core';
import { FocusCaseDirective } from './focus-case.directive';
import { Observable, Subject } from 'rxjs';
import { FocusDefaultDirective } from './focus-default.directive';
import * as i0 from "@angular/core";
export declare class FocusSwitchDirective implements OnDestroy {
    cases: FocusCaseDirective[];
    defaultCase: FocusDefaultDirective;
    set value(val: string | number | Observable<string | number>);
    unsubscribe$: Subject<void>;
    constructor();
    ngOnDestroy(): void;
    private doActionByValue;
    private subscribeObservable;
    private observableGuard;
    static ɵfac: i0.ɵɵFactoryDeclaration<FocusSwitchDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FocusSwitchDirective, "[fuSwitch]", never, { "value": { "alias": "fuSwitch"; "required": false; }; }, {}, ["defaultCase", "cases"], never, false, never>;
}
